This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.worker.heartbeat`

Heartbeat service.

This is the internal thread responsible for sending heartbeat events at regular intervals (may not be an actual thread).

class celery.worker.heartbeat.Heart(timer, eventer, interval=None)

  Timer sending heartbeats at regular intervals.

  Parameters:

    - timer (kombu.asynchronous.timer.Timer) – Timer to use.

    - eventer (celery.events.EventDispatcher) – Event dispatcher to use.

    - interval (float) – Time in seconds between sending heartbeats. Default is 2 seconds.

  start()
  stop()